:root {
    /* Colors: */
    --primary: #0014FF;
    --background-main: #0014FF;
    --dark-text: #2B2E34;
    --light-text: #FFFFFF;

    --title-font: "tussilago";
    --body-font: "verdana-pro";

    --content-width: 1300px;

}

*, ::before, ::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-size: 10px;
    scroll-behavior: smooth;
    background: var(--background-main);
}

body {
    margin: 0;
    font-family: var(--body-font), sans-serif;
    overflow-x: hidden;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--title-font), sans-serif;
    font-weight: 900;
}

.container {
    max-width: var(--content-width);
    margin: 0 auto;
}

a {
    text-decoration: none;
    color: var(--light-text);
}

.grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-gap: 4rem;
}

header {
    width: 100%;
    max-width: var(--content-width);
    margin: 0 auto;
    padding: 25px 0 25px 0;
    font-size: 1.6rem;
    font-weight: 700;
    border-bottom: var(--light-text) 1px solid;
    font-family: var(--title-font), sans-serif;
    position: sticky;
}

header .logo-header {
    grid-column: 1 / 3;
    font-weight: 900;
}

header .menu-links {
    grid-column: 3 / 13;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 4rem;
    font-weight: 900;
}




.hero {
    margin: 10rem auto 0 auto;
}

.hero .grid > .txt_home {
    grid-column: 1 / span 6;
}

.hero .grid > .txt_home > h1.txt-outlined {
    font-size: 8rem;
    font-weight: 800;
    color: transparent;
    -webkit-text-stroke: 1px var(--light-text);
    line-height: 1.2;
    margin-bottom: 4rem;
}

.hero .grid > .txt_home > p {
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.5;
    margin-bottom: 4rem;
    color: var(--light-text);
}

.hero .grid > .img-home {
    grid-column: 7 / 13;
    position: relative;
}

.hero .grid > .img-home > .img-portrait-ctn {
    width: 100%;
    height: auto;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.hero .grid > .img-home > .img-portrait-ctn > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.hero .grid > .img-home > .outline-portrait {
    width: 79%;
    height: auto;
    position: absolute;
    top: 13%;
    left: 6%;
}

section.projects {
    margin-top: 4rem;
    background: #fff;
    padding: 2rem 0;
}

.projects h2 {
    font-size: 4rem;
    font-weight: 700;
    color: var(--primary);
    margin-top: 4rem;
}

.grid-projects {
    position: relative;
}

.project-preview {
    position: absolute;
    width: calc(50% - 2rem);
    height: auto;
}

/* Un projet sur deux */
.project-preview:nth-child(2n) {
    right: 0;
}

.project-preview:nth-child(2n+1) {
    left: 0;
}

.project-preview-image {
    width: 100%;
    height: auto;
}

.project-preview:hover .project-preview-content {
    opacity: 1;
}

.project-preview-content {
    opacity: 0;
    background: rgba(0, 0, 0, 0.66);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transition: all 0.3s ease-in-out;
}

.project-preview-content h3 {
    color: #fff;
    font-size: 2rem;
}

.project-preview-content h4 {
    color: #fff;
    font-size: 1.4rem;
    font-weight: 500;
}

@media (min-width: 450px) {
    .grid-projects {
        grid-template-columns: repeat(2, 1fr);
    }
}

.slider {
    width: 100vw;
    height: 100vh;
    position: absolute !important;
    top: 0;
    left: 0;
}

.slide {
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transition: all 0.5s ease-in-out;
}

.slide img, .slide video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.project-solo-content {
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 2rem;
    padding: 10rem 0;
}

.project-solo-content * {
    color: var(--primary);
}

.project-solo-content > .project-solo-titles > * {
    margin-bottom: .5rem;
}

.project-solo-titles h2 {
    font-size: 1.4rem;
    font-weight: 700;
}

.project-single {
    font-size: 1.4rem;
}

.project-single > * {
    margin-bottom: 1rem;
}

.one-image .btns-slider {
    display: none;
}

.btns-slider {
    width: 100vw;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    height: 30vh;
    z-index: 10;
    padding: 3rem;
}

.btns-slider .swiper-button-prev, .btns-slider .swiper-button-next {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    position: static;
}

footer {
    background: var(--primary);
    color: #fff;
    padding: 8rem 0 4rem 0;
}

footer h2 {
    margin-bottom: 2rem;
    font-size: 2rem;
}

footer .grid2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
}

footer .footer-links {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 6rem;
}

footer .footer-links > a {
    color: #fff;
    font-size: 1.2rem;
    font-weight: 400;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

footer .footer-links > a img {
    width: 26px;
    margin-right: 1rem;
}

footer .footer-text {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1rem;
}

.mobile-btn {
    display: none;
}

@media screen and (max-width: 1600px){

    :root {
        --content-width: 1200px;
    }

}

@media screen and (max-width: 1300px) {
    :root {
        --content-width: 1000px;
    }
}

@media screen and (max-width: 1100px) {
    :root {
        --content-width: 800px;
    }
}

@media screen and (max-width: 900px) {
    :root {
        --content-width: 700px;
    }
}

@media screen and (max-width: 768px) {
    :root {
        --content-width: 100vw;
    }

    .container {
        padding: 2rem;
    }

    .projects {
        width: 100vw !important;
    }

    .grid-projects {
        display: grid;
        grid-template-columns: 1fr;
        gap: 2rem;
        width: 100% !important;
        height: auto !important;
        margin-top: 4rem;
    }

    .project-preview {
        width: calc(100% );
        position: relative;
        margin: 0 auto;
    }

    .project-solo-content {
        grid-template-columns: 1fr;
        padding-bottom: 6rem;
        padding-top: 4rem;
    }

    .mobile-btn {
        width: 40px;
        height: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        position: relative;
    }

    header.grid {
        grid-template-columns: 1fr 40px;
        padding: 1rem;
        gap: 2rem;
        position: sticky;
        top: 0;
        z-index: 99999999999;
    }

    header.fill {
        background: var(--primary);
    }

    header.grid > * {
        grid-row: 1;
    }

    header .logo-header {
        grid-column: 1;
        display: flex;
        align-items: center;
    }

    .mobile-btn span {
        width: 100%;
        height: 3px;
        background: #fff;
        display: block;
        transition: all 0.5s ease-in-out;
    }

    .mobile-btn.open span:nth-child(1) {
        position: absolute;
        top: 50%;
        left: 50%;
        transform-origin: center;
        transform: translate(-50%, -50%)  rotate(45deg);

    }

    .mobile-btn.open span:nth-child(2) {
        opacity: 0;
    }

    .mobile-btn.open span:nth-child(3) {
        position: absolute;
        top: 50%;
        left: 50%;
        transform-origin: center;
        transform: translate(-50%, -50%)  rotate(-45deg);

    }

    header .menu-links {
        position: absolute;
        right: -100vw;
        width: 100vw;
        height: 100vh;
        background-color: transparent;
        top: -1rem;
        z-index: -1;
        padding: 2rem;
        transition: top 0.5s ease-in-out, right 0.5s ease-in-out, opacity 0.5s ease-in-out, background-color 0.5s ease-in-out;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        display: none;
        color: var(--primary);
    }

    header .menu-links.open {
        background-color: #fff;
        display: flex;
        right: 0;
    }

    header .menu-links.open > a {
        color: var(--primary);
    }

    header .mobile-btn.open span {
        background: var(--primary);
    }

    .mobile-btn span:nth-child(2) {
        margin: 5px 0;
    }
    section.projects {
        margin-top: 0;
    }


    footer {
        padding: 4rem 0 1rem 0;
    }

    footer .grid2 {
        grid-template-columns: 1fr;
    }

    footer .footer-links {
        flex-direction: column;
        gap: 2rem;
        justify-content: flex-start;
        align-items: flex-start;
        margin-top: 2rem;
    }

    footer .footer-text {
        justify-content: center;
        margin-top: 2rem;
    }

    footer .container {
        padding-bottom: 0;
    }

    .hero .grid {
        grid-template-columns: 1fr;
    }

    .hero .grid > .txt_home {
        grid-column: 1;
        grid-row: 1;
    }

    .hero .grid > .img-home {
        grid-column: 1;
        grid-row: 2;
    }

    .hero .grid > .txt_home > h1.txt-outlined {
        font-size: 4rem;
    }

    .hero {
        margin: 2rem auto 0 auto;
    }

    .project-preview {
        top: unset !important;
    }

}
